petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSqr

Returns the square of a number

### Synopsis

    #include <petscmath.h>
    type sqr PetscSqr(type v1)

Not Collective

### Input Parameter

v1 -the value

### Notes

type can be integer or floating point value

### See Also

PetscMax(), PetscMin(), PetscAbsInt(), PetscAbsReal()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex74.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages